import fetch from 'isomorphic-fetch';
import actionTypes from '../actiontype/store'
import {saveHeaderInfo} from './initHeader'
const domain = ENV.domain;

let json = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": {
        "warehouse": {
            "id": 13,
            "name": "华贸商业街",
            "image": "http://static.mjitech.com/static/tmp/2018-05-25/1527243213701.jpg",
            "address": "华贸商业街（新光天地与利兹卡尔顿酒店之间广场）"
        }
    }
};

const saveStoreInfo = (data)=>{
    return{
        type:actionTypes.SAVESTORE,
        data
    }
};

const getStoreInfo = (storeId)=>{
    return(dispatch)=>{
        dispatch(saveHeaderInfo({storeId}));
        fetch(domain + '/web/pad_warehouse/getMachineData.action',{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            body : Object.assign({},{storeId})

        }).then((response)=>response.json())
            .then(json=>{
                console.log(json);
            }).catch(e=>{console.error(e)})
        if(json.meta.success && json.data.warehouse){
            dispatch(saveStoreInfo(Object.assign({},json.data.warehouse,{id:storeId})))
        }else{

        }

    }
}

export {getStoreInfo}

